//#####################################################################//
//                     TrueVision8 Shader Script                       //
//#####################################################################//
//                                                                     //
//  Common Shader for Flames					       //
//								       //
// You have to define the used textures before creating the Shader     //
// At the left, the texture filename (can be in a PAK file)            //
// At the right, the texture name that will be used in the engine      //
//								       //	
//#####################################################################//

TEXTURES 13
shaders\expl1.jpg > Explosion1
shaders\expl2.jpg > Explosion2
shaders\expl3.jpg > Explosion3
shaders\expl4.jpg > Explosion4
shaders\expl5.jpg > Explosion5
shaders\expl6.jpg > Explosion6
shaders\expl7.jpg > Explosion7
shaders\expl8.jpg > Explosion8
shaders\elk1.jpg > Electrico1
shaders\elk2.jpg > Electrico2
shaders\elk3.jpg > Electrico3
shaders\elk4.jpg > Electrico4
shaders\deathstar.jpg > DeathStar1

//#####################################
// Shaders Declarations. 
//#####################################


//
// Explosion effect
//
SHADER Explosion
{
   Layer map1
   {    

       //
       // Texture Animation :
       // Syntax : anim [FramePerSecond] [Tex1] [Tex2] ... [TexN] [0]
       //

         anim 8 Explosion1 Explosion2 Explosion3 Explosion4 Explosion5 Explosion6 Explosion7 Explosion8 [0]

       // Blender functions
       // Two ways : Blend [NO|ADD|ALPHA|COLOR|LIGHTMAP]
       //            BlendFunc [ZERO|ONE|ALPHA|INVALPHA|COLOR|INVCOLOR|DESTCOLOR] [ONE|ZERO|SRCCOLOR|ALPHA|INVALPHA|COLOR|INVCOLOR]
       //                             src blend                                    dest blend
      
	 blendFunc ONE ONE
         depthFunc NOWRITE

    }
}   


SHADER Electrico
{
   Layer map1
   {    

       //
       // Texture Animation :
       // Syntax : anim [FramePerSecond] [Tex1] [Tex2] ... [TexN] [0]
       //

         anim 16 Electrico1 Electrico2 Electrico3 Electrico4 [0]

       // Blender functions
       // Two ways : Blend [NO|ADD|ALPHA|COLOR|LIGHTMAP]
       //            BlendFunc [ZERO|ONE|ALPHA|INVALPHA|COLOR|INVCOLOR|DESTCOLOR] [ONE|ZERO|SRCCOLOR|ALPHA|INVALPHA|COLOR|INVCOLOR]
       //                             src blend                                    dest blend
      
	 blendFunc ONE ONE
         depthFunc NOWRITE

    }
}   


